summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/Eterm/Eterm.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/Eterm/Eterm.SlackBuild b/system/Eterm/Eterm.SlackBuild
index 362572d970..2455e14c12 100644
--- a/system/Eterm/Eterm.SlackBuild
+++ b/system/Eterm/Eterm.SlackBuild
@@ -86,12 +86,8 @@ make install DESTDIR=$PKG
# Let's add a compatibility/sensible symlink
( cd $PKG/usr/bin ; ln -s Eterm eterm )
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;